@charset "utf-8";

/** ***************************************************************************
 * 一覧ページ
 * ************************************************************************* */

/** ---------------------------------------------------------------------------
 * カテゴリーナビ
 */

body.page-archive
#main div.categorynav {
  padding: 10px 20px 30px;
  border-radius: 8px;
  background-color: #e5f2e8;
  position: relative;
  z-index: 0;
}

body.page-archive
#main div.categorynav::after {
  content: 'CATEGORY';
  color: rgba(255, 255, 255, 0.65);
  line-height: 0.5;
  font-family: Hind, sans-serif;
  font-size: 9.375em;
  font-weight: 700;
  position: absolute;
  z-index: -1;
  right: 10px;
  bottom: 10px;
  display: none;
}

@media screen and (min-width:1001px) {

  body.page-archive
  #main div.categorynav {
    padding: 30px 40px 40px;
  }

  body.page-archive
  #main div.categorynav::after {
    display: block;
  }

}

/**
 * 検索項目
 */

body.page-archive
#main div.categorynav dl.list div.item {
  padding: 0.5em 0;
  display: flex;
  align-items: flex-start;
  justify-content: flex-start;
}

body.page-archive
#main div.categorynav dl.list div.item ~ div.item {
  border-top: 1px solid #ccc;
}

body.page-archive
#main div.categorynav dl.list dt {
  margin-top: 2px;
  margin-right: 5px;
  flex-shrink: 0;
}

body.page-archive
#main div.categorynav dl.list dd {
  font-size: 0.875em;
  display: flex;
  flex-wrap: wrap;
  align-items: flex-start;
  justify-content: flex-start;
}

body.page-archive
#main div.categorynav dl.list dd label {
  margin: 3px;
  padding: 4px 12px 5px;
  cursor: pointer;
  line-height: 1;
  border-radius: 9999px;
  transition:
    color 0.3s ease-in-out 0.0s,
    background-color 0.3s ease-in-out 0.0s;
  color: inherit;
  background-color: #fff;
}

body.page-archive
#main div.categorynav dl.list dd label.active {
  color: #fff;
  background-color: #62af23;
}

body.page-archive
#main div.categorynav dl.list dd label:has([checked]) {
  color: #fff;
  background-color: #62af23;
}

body.page-archive
#main div.categorynav dl.list dd input {
  display: none;
}

@media screen and (min-width:1001px) {

  body.page-archive
  #main div.categorynav dl.list div.item {
    padding: 1em 0;
  }

  body.page-archive
  #main div.categorynav dl.list dt {
    margin-top: 5px;
  }

  body.page-archive
  #main div.categorynav dl.list dd label {
    padding: 7px 12px 8px;
  }

}

/**
 * 検索ボタン
 */

body.page-archive
#main div.categorynav div.button {
  margin-top: 15px;
  text-align: center;
}

body.page-archive
#main div.categorynav div.button button {
  min-width: 200px;
  min-height: 0;
  padding-top: 0.75em;
  padding-bottom: 0.875em;
}

@media screen and (min-width:1001px) {

  body.page-archive
  #main div.categorynav div.button {
    margin-top: 20px;
    text-align: unset;
  }

}

/** ---------------------------------------------------------------------------
 * 記事一覧
 */

body.page-archive
#main div.article {
  margin-bottom: -30px;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: space-between;
}

body.page-archive
#main div.article div.item {
  width: 48%;
  margin-bottom: 30px;
}

body.page-archive
#main div.article div.item a {
  height: 100%;
  color: inherit;
  text-decoration: none;
  display: block;
}

@media screen and (min-width:1001px) {

  body.page-archive
  #main div.article {
    margin-bottom: -40px;
    justify-content: flex-start;
  }

  body.page-archive
  #main div.article div.item {
    width: calc(100% / 3 - 10px);
    margin-bottom: 40px;
  }

  body.page-archive
  #main div.article div.item:nth-child(3n+2) {
    margin-left: 15px;
    margin-right: 15px;
  }

}

/**
 * 画像
 */

body.page-archive
#main div.article div.item div.image {
  padding-bottom: 66.7%;
  margin-bottom: 10px;
  border-radius: 6px;
  border: 1px solid #ddd;
  overflow: hidden;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  transition: filter 0.3s ease-in-out 0.0s;
  filter: brightness(100%) contrast(100%);
}

body.page-archive
#main div.article div.item a:hover div.image {
  filter: brightness(105%) contrast(110%);
}

@media screen and (min-width:1001px) {

  body.page-archive
  #main div.article div.item div.image {
    border-radius: 8px;
  }

}

/**
 * 内容
 */

body.page-archive
#main div.article div.item div.content div.title {
  font-weight: 600;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

body.page-archive
#main div.article div.item div.content div.title::after {
  content: '';
  width: 1em;
  height: 1em;
  margin-left: 0.625em;
  background: url("../_image/_common/icon-arrow-3.png") 0 0 / 100% 100% no-repeat;
}

body.page-archive
#main div.article div.item div.content div.category {
  color: #40681f;
  font-size: 0.875em;
}

body.page-archive
#main div.article div.item div.content div.category span {
  margin-right: 1em;
  vertical-align: middle;
  display: inline-block;
}

/** ---------------------------------------------------------------------------
 * 検索結果なし
 */

body.page-archive
#main div.notfound {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  padding: 2em 0;
}

/** ***************************************************************************
 * 記事ページ
 * ************************************************************************* */

/** ---------------------------------------------------------------------------
 * タイトル
 */

body.page-single
#main div.article .article-title {
  width: fit-content;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 10px;
  line-height: 1.4;
  font-size: 1.25em;
  font-weight: 700;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.article .article-title {
    font-size: 1.6875em;
  }

}

/** ---------------------------------------------------------------------------
 * カテゴリー
 */

body.page-single
#main div.article div.category {
  color: #40681f;
  font-size: 0.875em;
  font-weight: 500;
  text-align: center;
}

body.page-single
#main div.article div.category span {
  margin-left: 0.5em;
  margin-right: 0.5em;
  vertical-align: middle;
  display: inline-block;
}

/** ---------------------------------------------------------------------------
 * サムネール
 */

body.page-single
#main div.article div.thumbnail {
  margin-top: 15px;
  text-align: center;
}

body.page-single
#main div.article div.thumbnail img {
  border-radius: 8px;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.article div.thumbnail {
    margin-top: 30px;
  }

}

/** ---------------------------------------------------------------------------
 * 間取り図 / 仕様 / コメント
 */

body.page-single
#main div.article div.contents {
  margin-top: 30px;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.article div.contents {
    margin-top: 30px;
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }

}

/**
 * 間取り図
 */

body.page-single
#main div.article div.contents div.image {
  text-align: center;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.article div.contents div.image {
    width: 48%;
    margin-right: 30px;
    flex-shrink: 0;
  }

}

/**
 * 仕様 / コメント
 */

body.page-single
#main div.article div.contents div.content {
  margin-top: 30px;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.article div.contents div.content {
    max-width: 600px;
    margin-top: unset;
    margin-left: auto;
    margin-right: auto;
    flex-grow: 1;
  }

}

/* 仕様 */

body.page-single
#main div.article div.contents div.content table.spec {
  margin-bottom: 20px;
  border-collapse: collapse;
}

body.page-single
#main div.article div.contents div.content table.spec caption {
  color: #62af23;
  font-size: 1.125em;
  font-weight: 700;
  text-align: left;
}

body.page-single
#main div.article div.contents div.content table.spec th {
  padding-right: 0.5em;
}

body.page-single
#main div.article div.contents div.content table.spec td {
  padding-left: 0.5em;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.article div.contents div.content table.spec {
    margin-bottom: 30px;
  }

}

/** ---------------------------------------------------------------------------
 * ギャラリー
 */

@media screen and (min-width:1001px) {

  body.page-single
  #main div.gallery {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
  }

}

/**
 * 画像
 */

body.page-single
#main div.gallery div.track {
  position: relative;
  z-index: 0;
}

body.page-single
#main div.gallery div.track div.slide div.image {
  padding-bottom: 66.67%;
  border-radius: 8px;
  overflow: hidden;
  background-color: #eee;
  background-position: center center;
  background-size: auto 100% !important;
  background-repeat: no-repeat;
}

body.page-single
#main div.gallery div.track div.slide div.caption {
  margin-top: 10px;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.gallery div.track {
    width: calc(100% - 240px - 20px);
  }

}

/* 前へ / 次へ */

body.page-single
#main div.gallery div.track div.arrows {
  width: 100%;
  padding-bottom: 66.67%;
  pointer-events: none;
  display: block;
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
}

body.page-single
#main div.gallery div.track div.arrows button.arrow {
  width: 40px;
  margin: 0;
  padding: 0;
  appearance: none;
  cursor: pointer;
  border: none;
  background: none;
  pointer-events: auto;
  position: absolute;
  top: calc(50% - 20px);
}

body.page-single
#main div.gallery div.track div.arrows button.arrow.prev {
  transform-origin: center center;
  transform: scale(-1);
  left: 0;
}

body.page-single
#main div.gallery div.track div.arrows button.arrow.next {
  right: 0;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.gallery div.track div.arrows button.arrow {
    width: 50px;
    top: calc(50% - 25px);
  }

}

/**
 * ページャー
 */

body.page-single
#main div.gallery div.pager {
  margin-top: 10px;
}

body.page-single
#main div.gallery div.pager ul.splide__pagination {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;
}

body.page-single
#main div.gallery div.pager ul.splide__pagination li {
  width: calc(100% / 4 - 2px);
  margin: 1px;
}

body.page-single
#main div.gallery div.pager ul.splide__pagination button {
  width: 100%;
  margin: 0;
  padding: 0 0 67.07%;
  appearance: none;
  cursor: pointer;
  border: 2px solid transparent;
  border-radius: 8px;
  background-color: #eee;
  background-position: center center;
  background-size: auto 100%;
  background-repeat: no-repeat;
  box-sizing: border-box;
  overflow: hidden;
  display: block;
}

body.page-single
#main div.gallery div.pager ul.splide__pagination button.is-active {
  border-color: #62af23;
}

@media screen and (min-width:1001px) {

  body.page-single
  #main div.gallery div.pager {
    width: 240px;
    margin-top: unset;
    flex-shrink: 0;
  }

  body.page-single
  #main div.gallery div.pager ul.splide__pagination li {
    width: calc(100% / 2 - 6px);
    margin: 3px;
  }

}

/** ---------------------------------------------------------------------------
 * その他の建築実例
 */

/**
 * タイトル
 */

body.page-single
#works [class*="column-title"] {
  margin-bottom: 20px;
  text-align: center;
}

@media screen and (min-width:1001px) {

  body.page-single
  #works [class*="column-title"] {
    margin-bottom: 30px;
  }

}

/**
 * 建築実例
 */

body.page-single
#works div.works {
  margin-bottom: -30px;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
  align-items: stretch;
  justify-content: space-between;
}

body.page-single
#works div.works div.item {
  width: 48%;
  margin-bottom: 30px;
}

body.page-single
#works div.works div.item a {
  height: 100%;
  color: inherit;
  text-decoration: none;
  display: block;
}

@media screen and (min-width:1001px) {

  body.page-single
  #works div.works {
    margin-bottom: -40px;
    justify-content: flex-start;
  }

  body.page-single
  #works div.works div.item {
    width: calc(100% / 3 - 10px);
    margin-bottom: 40px;
  }

  body.page-single
  #works div.works div.item:nth-child(3n+2) {
    margin-left: 15px;
    margin-right: 15px;
  }

}

/**
 * 画像
 */

body.page-single
#works div.works div.item div.image {
  padding-bottom: 66.7%;
  margin-bottom: 10px;
  border-radius: 6px;
  border: 1px solid #ddd;
  overflow: hidden;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  transition: filter 0.3s ease-in-out 0.0s;
  filter: brightness(100%) contrast(100%);
}

body.page-single
#works div.works div.item a:hover div.image {
  filter: brightness(105%) contrast(110%);
}

@media screen and (min-width:1001px) {

  body.page-single
  #works div.works div.item div.image {
    border-radius: 8px;
  }

}

/**
 * 内容
 */

body.page-single
#works div.works div.item div.content div.title {
  font-weight: 600;
  display: flex;
  align-items: center;
  justify-content: flex-start;
}

body.page-single
#works div.works div.item div.content div.title::after {
  content: '';
  width: 1em;
  height: 1em;
  margin-left: 0.625em;
  background: url("../_image/_common/icon-arrow-3.png") 0 0 / 100% 100% no-repeat;
}

body.page-single
#works div.works div.item div.content div.category {
  color: #40681f;
  font-size: 0.875em;
}

body.page-single
#works div.works div.item div.content div.category span {
  margin-right: 1em;
  vertical-align: middle;
  display: inline-block;
}
